package com.zjrs.zwnw.psam.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.psam.dto.PsamKglDTO;
import com.zjrs.zwnw.psam.dto.PsamTjDTO;
import com.zjrs.zwnw.psam.dto.PsamXfycDTO;

import jakarta.servlet.http.HttpServletResponse;
import java.util.List;

public interface SjtjBLO extends IBLO{
    //查询列表
    public List<PsamTjDTO> getKzttjList();

    public void exportKzttjList(HttpServletResponse res);
    //查询列表
    public PageResult getShsltjList(PsamKglDTO dto, int page, int rows);

    public void exportShsltjList(PsamKglDTO dto,HttpServletResponse res);
    //查询列表
    public PageResult getJgtjList(PsamKglDTO dto, int page, int rows);
    //查询列表
    public PageResult getJgtjDetailList(PsamKglDTO dto, int page, int rows);

    public void exportJgtjList(PsamKglDTO dto,HttpServletResponse res);
    //查询列表
    public PageResult getShtjList(PsamKglDTO dto, int page, int rows);

    public void exportShtjList(PsamKglDTO dto,HttpServletResponse res);
    //查询列表
    public PageResult getShtjDetailList(PsamKglDTO dto, int page, int rows);
    //查询列表
    public PageResult getRqListBySqrq(PsamKglDTO dto, int page, int rows);
    //查询列表
    public PageResult getRqListByFfrq(PsamKglDTO dto, int page, int rows);

    public void exportRqList(PsamKglDTO dto,HttpServletResponse res);
    //查询列表
    public PageResult getXfyckList(PsamXfycDTO dto, int page, int rows);
    //查询列表
    public PageResult getXfmxList(PsamKglDTO dto, int page, int rows);

}
